Teams API
Create teams of multiple agents and run collaborative multi-agent conversations.
Base URL
https://ai-teammate.net/apiGET
/teamsReturns a list of all teams owned by the authenticated user.
Response
200 OK
[
{
"id": "team_abc123",
"name": "Research Team",
"description": "Multi-agent research team",
"chat_mode": "brainstorm",
"agents": [
{"id": "agent_1", "name": "Researcher"},
{"id": "agent_2", "name": "Analyst"}
],
"created_at": "2026-03-01T10:00:00Z"
}
]GET
/teams/:idReturns details of a specific team including its agents.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string | The team's unique identifier |
POST
/teamsCreates a new team.
Request Body
JSON
{
"name": "Research Team",
"description": "Multi-agent research team",
"chat_mode": "brainstorm"
}Body Parameters
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Team name |
description | string | - | Brief description |
chat_mode | string | - | Default chat mode (see table below) |
POST
/teams/:id/agents/:agent_idAdds an agent to the team.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string | Team ID |
agent_id | string | Agent ID to add |
DELETE
/teams/:id/agents/:agent_idRemoves an agent from the team.
POST
/teams/:id/chatSend a message to the team. All agents in the team will respond based on the selected chat mode.
Request Body
JSON
{
"message": "Brainstorm startup ideas for AI education",
"mode": "brainstorm"
}Response
200 OK
{
"responses": [
{
"agent_id": "agent_1",
"agent_name": "Researcher",
"content": "Here are some ideas based on market trends..."
},
{
"agent_id": "agent_2",
"agent_name": "Analyst",
"content": "From a financial perspective, consider..."
}
],
"summary": "The team identified 5 promising AI education startup ideas...",
"mode": "brainstorm"
}Chat Modes
Choose how agents collaborate when responding to messages.
| Mode | Description |
|---|---|
auto | System selects the best mode based on the message |
round-robin | Agents take turns responding one at a time |
parallel | All agents respond simultaneously |
debate | Agents present opposing viewpoints and argue |
brainstorm | Agents build on each other's ideas collaboratively |
expert | Routes to the most relevant agent based on expertise |
Additional Endpoints
Team Members
Invite and manage team members with role-based access.
GET
/teams/:id/membersList team membersPOST
/teams/:id/membersAdd member (email, role)PATCH
/teams/:id/members/:member_idUpdate member roleDELETE
/teams/:id/members/:member_idRemove memberTeam Chat (Advanced)
POST
/teams/:id/chat/streamStreaming team chat (SSE)POST
/teams/:id/chat/asyncAsync team chat (returns task_id)GET
/teams/:id/chat/task/:task_idGet async task status/resultDELETE
/teams/:id/chat/task/:task_idCancel async taskGET
/teams/:id/conversationsList team conversationsGET
/teams/:id/historyGet team chat historyIntegrations & API Keys
GET
/teams/:id/integrationsList team integrationsPUT
/teams/:id/integrationsUpdate integrations configPOST
/teams/:id/integrations/telegram/connect-codeTelegram connect codePOST
/teams/:id/integrations/discord/connect-codeDiscord connect codeGET
/teams/:id/api-keysList team API keysPOST
/teams/:id/api-keysCreate team API keyDELETE
/teams/:id/api-keys/:key_idRevoke API key